Đến nội dung


Hình ảnh
- - - - -

em xin lisp chỉnh sửa đường nét nhiều block cùng 1 lúc


  • Please log in to reply
8 replies to this topic

#1 nguyencanh160890

nguyencanh160890

    Edu level: ao5

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 October 2013 - 09:00 AM

Em chào Anh Chị!

em có 1 vấn đề nhờ Anh Chị giúp đỡ.

Em có một số block http://www.cadviet.c..._nguyencanh.dwgnhư file đính kèm, bây giờ làm thế nào để cùng 1 lúc em chỉnh độ đậm của nét thành blayer thay vì phải kích chọn từng block một để sửa. (làm rất lâu), mong Anh Chị giúp đỡ, em cần gấp.

 


  • 0

#2 nguyencanh160890

nguyencanh160890

    Edu level: ao5

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 October 2013 - 11:06 AM

chào cả nhà, em đã tìm được lisp để làm được bài theo yêu cầu trên, nhưng còn 1 thắc mắc nữa đó là lisp em sử dụng không chuyển màu block cùng với màu bylayer được.

lisp em tham khảo có nội dung như sau ạ

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.c...-thanh-bylayer/
(defun C:DLW()
  (vl-load-com)
  (command "UNDO" "BE")
  (vlax-for for-item (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (vlax-for item for-item
      (vla-put-Lineweight item -1)
      )
    )
  (command "UNDO" "END")
  (princ)
  )
 

Nhờ Anh Chị hỗ trợ giúp đỡ tiếp.


  • 0

#3 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 15 October 2013 - 11:26 AM

:D :D :D

lụi cái này vô thử xem bạn:

VLA-PUT-COLOR

 

http://www.cadviet.c...lua_suu_tam.txt

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#4 nguyencanh160890

nguyencanh160890

    Edu level: ao5

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 October 2013 - 11:27 AM

Em không hiểu Anh muốn nói gì??? lisp gì mà dài thế ạ?


  • 0

#5 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 15 October 2013 - 11:41 AM

:D :D :D

Ý 2 lúa là bạn lụi thử phương án bên dưới. Chứ chờ cao thủ thì hơi lâu. Công việc của cao thủ vẫn có chứ. :D

Còn cái lisp của 2 lúa sưu tầm là tập hơp một số lệnh của lisp.

 

 

(defun C:DLW()
  (vl-load-com)
  (command "UNDO" "BE")
  (vlax-for for-item (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (vlax-for item for-item
      (vla-put-Lineweight item -1)

      (VLA-PUT-COLOR item -1)

      )
    )
  (command "UNDO" "END")
  (princ)
  )


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#6 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 15 October 2013 - 11:53 AM

(VLA-PUT-COLOR item 256)


  • 2

#7 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 15 October 2013 - 12:21 PM

:D :D :D

Vỗ tay.....................

:D :D :D


  • 2

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#8 nguyencanh160890

nguyencanh160890

    Edu level: ao5

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 October 2013 - 01:41 PM

em vẫn không hiểu (VLA-PUT-COLOR) là cái gì? tác dụng nó là gì mặc dù đã tìm hiểu trên mạng.

(VLA-PUT-COLOR item 256)

Em đã tìm trên cadviet nhưng đa phần các lisp đều chuyển các đối tượng kể các block về bylayer, nhưng đôi khi còn 1 số block khi em đúp và sửa  trực tiếp bên trong thì quan sát thấy màu và độ dày đường không theo bylayer. Mà em vẫn phải tiếp tục thao tác quét toàn bộ block rồi cho màu và độ dày theo bylayer.

 

Nếu 10 block thì không vấn đề, đằng này có tới 200. 300 block.... em chỉnh sửa lâu quá....


  • 0

#9 nguyencanh160890

nguyencanh160890

    Edu level: ao5

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 October 2013 - 02:00 PM

Em đã làm xong rồi, cảm ơn mọi người quan tâm. hihi

Đặc biệt cảm ơn hai Anh

sgcq, KangKung

 

:D :D
  :D :D
  :D


  • 1